Compare commits

..

53 Commits

Author SHA1 Message Date
github-actions[bot]
21d7a75834 Merge branch 'main' into sec 2023-04-12 10:04:31 +00:00
Tonye Jack
feea5e1e75 chore(sec): upgrade tj-actions/glob (#1083) 2023-04-12 04:02:13 -06:00
github-actions[bot]
cbed54e499 Merge branch 'main' into sec 2023-04-12 04:54:54 +00:00
github-actions[bot]
700dcca38c Merge branch 'main' into sec 2023-04-07 21:39:25 +00:00
github-actions[bot]
ae82d8ef19 Merge branch 'main' into sec 2023-04-07 07:29:41 +00:00
github-actions[bot]
2be7c3758f Merge branch 'main' into sec 2023-04-07 02:57:14 +00:00
github-actions[bot]
1a9b8b6fb3 Merge branch 'main' into sec 2023-04-07 01:44:26 +00:00
renovate[bot]
2ec76db56c chore(deps): update peter-evans/create-pull-request action to v5 (sec) (#1076)
Co-authored-by: renovate[bot] <29139614+renovate[bot]@users.noreply.github.com>
Co-authored-by: repo-ranger[bot] <39074581+repo-ranger[bot]@users.noreply.github.com>
2023-04-05 01:13:13 +00:00
github-actions[bot]
bfa633d828 Merge branch 'main' into sec 2023-04-05 01:09:02 +00:00
github-actions[bot]
d6508dfc02 Merge branch 'main' into sec 2023-04-05 00:17:05 +00:00
renovate[bot]
16ac07d309 chore(deps): update tj-actions/json2file action to v1.4.1 (sec) (#1074)
Co-authored-by: renovate[bot] <29139614+renovate[bot]@users.noreply.github.com>
2023-04-05 00:13:57 +00:00
github-actions[bot]
a4648f3cb8 Merge branch 'main' into sec 2023-04-04 20:40:26 +00:00
github-actions[bot]
123dfd4840 Merge branch 'main' into sec 2023-04-04 19:58:44 +00:00
github-actions[bot]
c7dda75174 Merge branch 'main' into sec 2023-04-04 19:23:31 +00:00
github-actions[bot]
61bf27253d Merge branch 'main' into sec 2023-04-04 19:08:18 +00:00
github-actions[bot]
b94d96993d Merge branch 'main' into sec 2023-04-04 18:08:29 +00:00
github-actions[bot]
bcb5d6db09 Merge branch 'main' into sec 2023-03-31 05:25:07 +00:00
github-actions[bot]
72a1cb59f1 Merge branch 'main' into sec 2023-03-31 05:14:46 +00:00
github-actions[bot]
12aa13dfa1 Merge branch 'main' into sec 2023-03-31 05:07:32 +00:00
github-actions[bot]
abcd939b52 Merge branch 'main' into sec 2023-03-31 05:02:33 +00:00
github-actions[bot]
04656516ca Merge branch 'main' into sec 2023-03-29 17:45:22 +00:00
github-actions[bot]
3f7bf15aae Merge branch 'main' into sec 2023-03-29 17:09:21 +00:00
github-actions[bot]
c63215ba0b Merge branch 'main' into sec 2023-03-29 01:25:53 +00:00
github-actions[bot]
5438b32774 Merge branch 'main' into sec 2023-03-29 00:56:50 +00:00
github-actions[bot]
305db1620f Merge branch 'main' into sec 2023-03-29 00:27:05 +00:00
github-actions[bot]
7ee5c43784 Merge branch 'main' into sec 2023-03-28 22:51:05 +00:00
github-actions[bot]
66141e8a0e Merge branch 'main' into sec 2023-03-28 22:24:20 +00:00
github-actions[bot]
ebfd2c3870 Merge branch 'main' into sec 2023-03-28 19:52:39 +00:00
github-actions[bot]
a6efc924ae Merge branch 'main' into sec 2023-03-28 18:55:42 +00:00
renovate[bot]
22bed7e94f chore(deps): update tj-actions/glob action to v16.14 (sec) (#1052)
Co-authored-by: renovate[bot] <29139614+renovate[bot]@users.noreply.github.com>
2023-03-28 10:30:02 +00:00
github-actions[bot]
ccf1c08720 Merge branch 'main' into sec 2023-03-28 10:27:46 +00:00
github-actions[bot]
e4c68648cc Merge branch 'main' into sec 2023-03-28 08:17:40 +00:00
github-actions[bot]
7795905b24 Merge branch 'main' into sec 2023-03-28 05:57:27 +00:00
renovate[bot]
1137058ec5 chore(deps): update tj-actions/glob action to v16.13 (sec) (#1049)
Co-authored-by: renovate[bot] <29139614+renovate[bot]@users.noreply.github.com>
2023-03-27 23:56:22 -06:00
github-actions[bot]
4d35e66a61 Merge branch 'main' into sec 2023-03-27 20:58:57 +00:00
github-actions[bot]
2b043ae6b5 Merge branch 'main' into sec 2023-03-25 13:03:59 +00:00
github-actions[bot]
8edcb16181 Merge branch 'main' into sec 2023-03-23 00:47:53 +00:00
github-actions[bot]
be65417fb0 Merge branch 'main' into sec 2023-03-23 00:02:33 +00:00
github-actions[bot]
fa74fb0142 Merge branch 'main' into sec 2023-03-22 23:51:51 +00:00
github-actions[bot]
08d9eb8097 Merge branch 'main' into sec 2023-03-22 20:52:27 +00:00
github-actions[bot]
e5ed59e264 Merge branch 'main' into sec 2023-03-22 20:39:22 +00:00
github-actions[bot]
629250cf1a Merge branch 'main' into sec 2023-03-22 20:31:07 +00:00
github-actions[bot]
2f34073ba5 Merge branch 'main' into sec 2023-03-22 20:26:37 +00:00
github-actions[bot]
2fe8a8845b Merge branch 'main' into sec 2023-03-22 18:28:23 +00:00
github-actions[bot]
ec5407d773 Merge branch 'main' into sec 2023-03-22 16:26:50 +00:00
renovate[bot]
4209d61e09 chore(deps): update tj-actions/json2file action to v1.4.0 (sec) (#1039)
Co-authored-by: renovate[bot] <29139614+renovate[bot]@users.noreply.github.com>
2023-03-20 20:26:14 +00:00
github-actions[bot]
80c4c32e14 Merge branch 'main' into sec 2023-03-20 20:24:06 +00:00
github-actions[bot]
d556775eb5 Merge branch 'main' into sec 2023-03-20 19:34:05 +00:00
renovate[bot]
1f09cf4aa8 chore(deps): update tj-actions/verify-changed-files action to v14 (sec) (#1036)
Co-authored-by: renovate[bot] <29139614+renovate[bot]@users.noreply.github.com>
2023-03-18 14:53:06 +00:00
renovate[bot]
07647788d2 chore(deps): update tj-actions/glob action to v16.12 (sec) (#1035)
Co-authored-by: renovate[bot] <29139614+renovate[bot]@users.noreply.github.com>
2023-03-18 14:33:11 +00:00
Tonye Jack
0e71968fa5 Update renovate.json 2023-03-18 07:42:04 -06:00
Tonye Jack
55b13c5f96 chore(deps): update peter-evans/create-pull-request action to v4.2.4 (#1029)
Co-authored-by: renovate[bot] <29139614+renovate[bot]@users.noreply.github.com>
2023-03-15 13:56:18 -06:00
Tonye Jack
7e64030c44 Updated to pin dependent actions with full sha 2023-03-14 13:54:54 -06:00
5 changed files with 14 additions and 57 deletions

View File

@@ -1,48 +1,5 @@
# Changelog
# [35.9.1](https://github.com/tj-actions/changed-files/compare/v35.9.0...v35.9.1) - (2023-04-28)
## <!-- 1 -->🐛 Bug Fixes
- Switch to use git diff for retrieving renamed files ([#1106](https://github.com/tj-actions/changed-files/issues/1106)) ([4a0aac0](https://github.com/tj-actions/changed-files/commit/4a0aac0d19aa2838c6741fdf95a5276390418dc2)) - (Tonye Jack)
## <!-- 9 -->⬆️ Upgrades
- Upgraded to v35.9.0 ([#1098](https://github.com/tj-actions/changed-files/issues/1098))
Co-authored-by: jackton1 <jackton1@users.noreply.github.com> ([a611c48](https://github.com/tj-actions/changed-files/commit/a611c4893298c6cc704368e0dff0c8756387ce85)) - (Tonye Jack)
# [35.9.0](https://github.com/tj-actions/changed-files/compare/v35.8.0...v35.9.0) - (2023-04-21)
## <!-- 7 -->⚙️ Miscellaneous Tasks
- **deps:** Update tj-actions/glob action to v17.1.0 (main) ([#1096](https://github.com/tj-actions/changed-files/issues/1096)) ([ce810b2](https://github.com/tj-actions/changed-files/commit/ce810b29b28abf274afebdcd8fe47b8fba0f28bd)) - (renovate[bot])
- **deps:** Update tj-actions/json2file action to v1.4.2 (main) ([#1089](https://github.com/tj-actions/changed-files/issues/1089)) ([4e5d0fa](https://github.com/tj-actions/changed-files/commit/4e5d0fad4dd387245f8e044220ed1db5692bd93c)) - (renovate[bot])
- Update README.md ([#1087](https://github.com/tj-actions/changed-files/issues/1087)) ([fea1ca3](https://github.com/tj-actions/changed-files/commit/fea1ca3c21cc83e4a607bad1df57753e8ed8761a)) - (Tonye Jack)
## <!-- 9 -->⬆️ Upgrades
- Upgraded to v35.8.0 ([#1084](https://github.com/tj-actions/changed-files/issues/1084))
Co-authored-by: jackton1 <jackton1@users.noreply.github.com> ([df0c101](https://github.com/tj-actions/changed-files/commit/df0c101b3f7842e80c26a3c63b67eeaa2879a464)) - (Tonye Jack)
# [35.8.0](https://github.com/tj-actions/changed-files/compare/v35.7.12...v35.8.0) - (2023-04-12)
## <!-- 26 -->🔄 Update
- Update renovate.json ([8b07761](https://github.com/tj-actions/changed-files/commit/8b0776165628db27f15abfde8178b65485261e04)) - (Tonye Jack)
- Update README.md ([e45cb98](https://github.com/tj-actions/changed-files/commit/e45cb985804abcdc570d9a0dd9a4ac44d9e7abb1)) - (Tonye Jack)
## <!-- 7 -->⚙️ Miscellaneous Tasks
- Upgrade tj-actions/glob ([#1082](https://github.com/tj-actions/changed-files/issues/1082)) ([7ecfc67](https://github.com/tj-actions/changed-files/commit/7ecfc6730dff8072d1cc5215a24cc9478f55264d)) - (Tonye Jack)
## <!-- 9 -->⬆️ Upgrades
- Upgraded to v35.7.12 ([#1078](https://github.com/tj-actions/changed-files/issues/1078))
Co-authored-by: jackton1 <jackton1@users.noreply.github.com> ([8738082](https://github.com/tj-actions/changed-files/commit/87380821bfc3e759d6b7408ec94267d48c11bc88)) - (Tonye Jack)
# [35.7.12](https://github.com/tj-actions/changed-files/compare/v35.7.11...v35.7.12) - (2023-04-07)
## <!-- 1 -->🐛 Bug Fixes

View File

@@ -63,7 +63,7 @@ Retrieve all changed files and directories relative to a target branch, preceedi
## Usage
> **Warning**:
> NOTE: :warning:
>
> * **IMPORTANT:** For `push` events you need to include `fetch-depth: 0` **OR** `fetch-depth: 2` depending on your use case.
> * For monorepos where pulling all the branch history might not be desired, you can omit `fetch-depth` for `pull_request` events.
@@ -664,7 +664,7 @@ See [inputs](#inputs) for more information.
</li>
</ul>
> **Warning**: This setting overrides the commit sha used by setting `since_last_remote_commit` to true.
> NOTE: This setting overrides the commit sha used by setting `since_last_remote_commit` to true.
> It is recommended to use either solution that works for your use case.
See [inputs](#inputs) for more information.
@@ -744,7 +744,7 @@ And many more...
## Known Limitation
> **Warning**:
> NOTE: :warning:
>
> * Using characters like `\n`, `%`, `.` and `\r` as separators would be [URL encoded](https://www.w3schools.com/tags/ref_urlencode.asp)
> * Spaces in file names can introduce bugs when using bash loops. See: [#216](https://github.com/tj-actions/changed-files/issues/216)
@@ -775,7 +775,7 @@ With the switch from using grep's Extended regex to match files to the natively
## Credits
This package was created with [cookiecutter-action](https://github.com/tj-actions/cookiecutter-action).
This package was created with [Cookiecutter](https://github.com/cookiecutter/cookiecutter).
* [tj-actions/glob](https://github.com/tj-actions/glob)
* [tj-actions/auto-doc](https://github.com/tj-actions/auto-doc)

View File

@@ -208,7 +208,7 @@ runs:
INPUT_FETCH_DEPTH: ${{ inputs.fetch_depth }}
INPUT_SINCE_LAST_REMOTE_COMMIT: ${{ inputs.since_last_remote_commit }}
- name: Glob match
uses: tj-actions/glob@v17.2.5
uses: tj-actions/glob@6056e69d50df3ce28e618aceb0a00203bb2d2de0 # v17.0.1
id: glob
with:
files: ${{ inputs.files }}
@@ -255,7 +255,7 @@ runs:
INPUT_HAS_CUSTOM_PATTERNS: ${{ steps.glob.outputs.has-custom-patterns }}
INPUT_JSON_RAW_FORMAT: ${{ inputs.json_raw_format }}
- name: Generate output files
uses: tj-actions/json2file@v1.4.2
uses: tj-actions/json2file@e6872653b4c7168e64b05ee07f60c1cfce653560 # v1.4.1
if: inputs.write_output_files == 'true'
with:
outputs: ${{ toJSON(steps.changed-files.outputs) }}

View File

@@ -133,23 +133,23 @@ if [[ -z $GITHUB_EVENT_PULL_REQUEST_BASE_REF ]]; then
if [[ "$GITHUB_EVENT_FORCED" == "false" || -z "$GITHUB_EVENT_FORCED" ]]; then
PREVIOUS_SHA=$GITHUB_EVENT_BEFORE && exit_status=$? || exit_status=$?
else
PREVIOUS_SHA=$(git rev-list -n 1 "HEAD^" || true) && exit_status=$? || exit_status=$?
PREVIOUS_SHA=$(git rev-list -n 1 "HEAD^") && exit_status=$? || exit_status=$?
fi
else
PREVIOUS_SHA=$(git rev-list -n 1 "HEAD^" || true) && exit_status=$? || exit_status=$?
PREVIOUS_SHA=$(git rev-list -n 1 "HEAD^") && exit_status=$? || exit_status=$?
fi
if [[ -z "$PREVIOUS_SHA" || "$PREVIOUS_SHA" == "0000000000000000000000000000000000000000" ]]; then
PREVIOUS_SHA=$(git rev-list -n 1 "HEAD^" || true) && exit_status=$? || exit_status=$?
PREVIOUS_SHA=$(git rev-list -n 1 "HEAD^") && exit_status=$? || exit_status=$?
fi
if [[ -z "$PREVIOUS_SHA" || "$PREVIOUS_SHA" == "$CURRENT_SHA" ]]; then
if ! git rev-parse "$CURRENT_SHA^1" &>/dev/null; then
if [[ "$PREVIOUS_SHA" == "$CURRENT_SHA" ]]; then
if ! git rev-parse "$PREVIOUS_SHA^1" &>/dev/null; then
INITIAL_COMMIT="true"
PREVIOUS_SHA=$(git rev-parse "$CURRENT_SHA")
echo "::warning::Initial commit detected no previous commit found."
else
PREVIOUS_SHA=$(git rev-parse "$CURRENT_SHA^1")
PREVIOUS_SHA=$(git rev-parse "$PREVIOUS_SHA^1")
fi
else
if [[ -z "$PREVIOUS_SHA" ]]; then

View File

@@ -126,7 +126,7 @@ function get_renames() {
(
cd "$sub" && (
# the strange magic number is a hardcoded "empty tree" commit sha
get_renames "${sub_commit_pre:-4b825dc642cb6eb9a060e54bf8d69288fbee4904}" "${sub_commit_cur}" | awk -v r="$sub" '{ print "" r "/" $0}'
git log --name-status --ignore-submodules=all "${sub_commit_pre:-4b825dc642cb6eb9a060e54bf8d69288fbee4904}".."${sub_commit_cur}" | { grep -E "^R" || true; } | awk -F '\t' -v d="$INPUT_OLD_NEW_SEPARATOR" '{print $2d$3}' | awk -v r="$sub" '{ print "" r "/" $0}'
)
) || {
echo "::warning::Failed to get renamed files for submodule ($sub) between: ${sub_commit_pre:-4b825dc642cb6eb9a060e54bf8d69288fbee4904} ${sub_commit_cur}. Please ensure that submodules are initialized and up to date. See: https://github.com/actions/checkout#usage" >&2
@@ -134,7 +134,7 @@ function get_renames() {
fi
done < <(git submodule | awk '{print $2}')
git diff --name-status --ignore-submodules=all --diff-filter=R "$base$DIFF$sha" | { grep -E "^R" || true; } | awk -F '\t' -v d="$INPUT_OLD_NEW_SEPARATOR" '{print $2d$3}' && exit_status=$? || exit_status=$?
git log --name-status --ignore-submodules=all "$base".."$sha" | { grep -E "^R" || true; } | awk -F '\t' -v d="$INPUT_OLD_NEW_SEPARATOR" '{print $2d$3}' && exit_status=$? || exit_status=$?
if [[ $exit_status -ne 0 ]]; then
echo "::error::Failed to get renamed files between: $base$sha" >&2